import { ZDecorator } from 'z-decorator'

export enum StateEnum {
  ENABLED = 1,
  DISABLED = 2
}

export class PageParam {
  @ZDecorator.PageNo.decorator()
  page: number = 1

  @ZDecorator.PageSize.decorator()
  pageSize: number = 50
}

export class PageResponse<T> {
  @ZDecorator.PageResponseTotal.decorator()
  declare total: number

  @ZDecorator.PageResponseData.decorator()
  declare items: T[]
}

export const useTableProps = (
  param: {
    stripe?: boolean
    'highlight-current-row'?: boolean
  } = {}
) => ({
  // size: 'small',
  height: '100%',
  // border: true,
  'highlight-current-row': true,
  'show-overflow-tooltip': true,
  'tooltip-effect': 'light',
  ...param
})
